Name:           glib-networking
Version:        2.58.0
Release:        7
Summary:        Network-related modules for glib
License:        LGPLv2+
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/glib-networking/2.58/glib-networking-%{version}.tar.xz

Patch0001: handle-new-gnutls-e-certificate-required.patch

BuildRequires:  meson gcc ca-certificates gettext systemd gdb
BuildRequires:  pkgconfig(glib-2.0) >= 2.55.1 pkgconfig(gnutls) >= 3.3.5
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(libproxy-1.0) >= 0.3.1 pkgconfig(p11-kit-1) >= 0.20

Requires:       ca-certificates gsettings-desktop-schemas glib2 >= 2.55.1

%description
glib-networking contains the implementations of certain GLib networking features
that cannot be implemented directly in GLib itself because of their dependencies.

%package tests
Summary:   verify the Usability of the glib-networking package
Requires:  %{name} = %{version}-%{release}

%description tests
verify the Usability of the glib-networking package.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dinstalled_tests=true
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%license COPYING
%{_libdir}/gio/modules/*
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_userunitdir}/glib-pacrunner.service

%files tests
%defattr(-,root,root)
%{_libexecdir}/installed-tests/glib-networking
%{_datadir}/installed-tests

%changelog
* Fri Mar 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.58.0-7
- add gdb in buildrequires

* Mon Mar 16 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.58.0-6
- sync handle new gnutls certificate requred patch

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.58.0-5
- clean unused patch

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.58.0-4
- change the path of files

* Tue Sep 17 2019 Lijin Yang <yanglijin@huawei.com> - 2.58.0-3
- Package init
